Subject: Tracking down suspend/resume ext3/mmc issues on imx233

From: [email-masked] (Theodore Ts'o)
Date: Mon, 10 Sep 2012 12:33:45 -0400

On Mon, Sep 10, 2012 at 10:11:48AM -0500, Matt Sealey wrote:
> Wouldn't it be better if the root filesystem was marked as
> non-removable in the device tree - or in the case of a truly removable
> card, just marked in the MMC subsystem - and the MMC subsystem skipped
> the "it could be removed" for suspend/resume operations?

I agree, this makes a lot of sense.  If the root file system
disappears, you're toasted either way, so it's fair to assume that the
device on which the root file system is located should is
non-removable.

						- Ted